<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>management</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.management</groupId>
  <artifactId>object-management</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: CORE :: MANAGEMENT :: OBJECT</name>
  <description>ENTAXY :: CORE :: MANAGEMENT :: OBJECT</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		  ru.entaxy.platform.core.management.object,
		  ru.entaxy.platform.core.management.object.factory
	  </bundle.osgi.export.pkg>
	  <bundle.osgi.private.pkg>
		  ru.entaxy.platform.core.management.object.impl,
		  ru.entaxy.platform.core.management.object.factory.impl,
		  ru.entaxy.platform.core.management.object.shell
	  </bundle.osgi.private.pkg>
	  <bundle.osgi.remove.headers>none</bundle.osgi.remove.headers>
  </properties>
  
  <dependencies>
	  <dependency>
	  	<groupId>ru.entaxy.esb.platform.runtime.core</groupId>
	  	<artifactId>object-runtime-core</artifactId>
	  	<version>${project.version}</version>
	  </dependency>
	  <dependency>
	  	<groupId>org.apache.karaf.bundle</groupId>
	  	<artifactId>org.apache.karaf.bundle.core</artifactId>
	  	<version>${karaf.version}</version>
	  </dependency>
  </dependencies> 
</project>
